{% extends 'base.html.twig' %}

{% block stylesheets %}
    <link href="{{ asset('/css/modals.css') }}" rel="stylesheet">
{% endblock %}

{% block body %}
    <div id="{{ 'modalDelete_' ~ transaction.id}}" class="modal">
        <!-- Modal content -->
        <div class="modal-content" id="modalContent">
            <div style="text-align: right;">
                <a href="#" onClick="closeModalDelete('{{ transaction.id }}')">
                    <img class="close-modal-button" alt="close" title="close" src='{{asset("uploads/icons/cross-sign.png")}}' />
                </a>
            </div>
            <div class="title">
                <h2>Are you sure you want to delete this transaction?</h2>
            </div>
            <div>
                <table class = "table">
                    <tr>
                        <th style="width: 100px;"></th>
                        <th>Amount</th>
                        <th>Category</th>
                        <th>Comment</th>
                    </tr>
                    <tr>
                        <td style="width: 100px; text-align: center;">
                            {% if transaction.type.name == 'income' %}
                                <img class="icon" alt="income" title="income" src='{{asset("uploads/icons/plus.png")}}' />
                            {% endif %}
                            {% if transaction.type.name == 'expense' %}
                                <img class="icon" alt="expense" title="expense" src='{{asset("uploads/icons/minus.png")}}' />
                            {% endif %}
                        </td>
                        <td>{{ transaction.amount }}</td>
                        <td>{{ transaction.category.name }}</td>
                        <td>{{ transaction.comment }}</td>
                    </tr>
                </table>
            </div>
            <div class="modal-buttons">
                <button type="button" class="btn btn-secondary" onClick="closeModalDelete('{{ transaction.id }}')">Cancel</button>
                &nbsp;&nbsp;
                <a class="btn btn-danger" href="{{ path('app_transaction_delete', { 'id': transaction.id }) }}">
                    Delete
                </a>
            </div>
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    <script src="{{ asset('/scripts/delete_transaction_modal.js') }}"></script>
{% endblock %}
